---
title: "GET Observations-ForLocation-locationId"
url: "https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e/paths/Observations-ForLocation-locationId/get"
---

> Full API specification: https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e.md

# /Observations/ForLocation/{locationId}

`GET` `/Observations/ForLocation/{locationId}`

## Path parameters

- `locationId` (string, uuid, required) - The location identifier.

## Header parameters

- `x-api-key` (string, required) - API key for authenticating requests. Create and manage keys in the Perry Weather dashboard under Integrations > Perry Weather APIs.

## Responses

- `200` - Success
- `400` - Bad Request
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Perry Weather API
  version: "1.1"
servers:
  - url: https://customer.api.perryweather.com/v1/
    description: Production Server
paths:
  /Observations/ForLocation/{locationId}:
    get:
      tags:
        - Observations
      parameters:
        - name: x-api-key
          in: header
          description: API key for authenticating requests. Create and manage keys in the
            Perry Weather dashboard under Integrations > Perry Weather APIs.
          required: true
          schema:
            type: string
            example: YOUR-API-KEY
        - name: locationId
          in: path
          description: The location identifier.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: Success
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ObservationModel"
              examples:
                perryWeatherStation:
                  summary: Location served by a nearby Perry Weather station
                  value:
                    lastUpdated: 2026-04-22T14:05:12.488Z
                    ambientTemperature:
                      value: 68.2
                      unit: F
                      display: 68.2F
                    relativeHumidity:
                      value: 55
                      unit: "%"
                      display: 55%
                    windSpeed:
                      value: 3.7821
                      unit: mph
                      display: 3.7821mph
                    windDirection: 210
                    windGust:
                      value: 5.6123
                      unit: mph
                      display: 5.6123mph
                    windGustDirection: 215
                    wetBulb:
                      value: 59.411
                      unit: F
                      display: 59.411F
                    wetBulbGlobalTemp:
                      value: 65.103
                      unit: F
                      display: 65.103F
                    ambientHigh:
                      value: 71.8
                      unit: F
                      display: 71.8F
                    ambientLow:
                      value: 64.1
                      unit: F
                      display: 64.1F
                    heatIndex:
                      value: 67.85
                      unit: F
                      display: 67.85F
                    rain1Hr:
                      value: 0
                      unit: in
                      display: 0in
                    rainToday:
                      value: 0.0287
                      unit: in
                      display: 0.0287in
                    aqiVal:
                      value: 38
                      unit: PM2.5
                      display: 38PM2.5
                    feelsLike:
                      value: 68.2
                      unit: F
                      display: 68.2F
                    source:
                      type: PerryWeatherStation
                      stationId: 8c4f9e7a-2d1b-4f6c-9e3a-7b5d6f8c2e1a
                      stationName: Example Field Station
                metarStation:
                  summary: Location falling back to the closest METAR station
                  value:
                    lastUpdated: 2026-04-22T13:53:00Z
                    ambientTemperature:
                      value: 69.8
                      unit: F
                      display: 69.8F
                    relativeHumidity:
                      value: 52.14
                      unit: "%"
                      display: 52.14%
                    windSpeed:
                      value: 9.2062
                      unit: mph
                      display: 9.2062mph
                    windDirection: 190
                    windGust:
                      value: 17.2617
                      unit: mph
                      display: 17.2617mph
                    heatIndex:
                      value: 69.3512
                      unit: F
                      display: 69.3512F
                    rain1Hr:
                      value: 0
                      unit: in
                      display: 0in
                    rainToday:
                      value: 0.0394
                      unit: in
                      display: 0.0394in
                    source:
                      type: MetarStation
                      stationId: KDAL
                      stationName: Dallas Love Field
            application/json:
              schema:
                $ref: "#/components/schemas/ObservationModel"
              examples:
                perryWeatherStation:
                  summary: Location served by a nearby Perry Weather station
                  value:
                    lastUpdated: 2026-04-22T14:05:12.488Z
                    ambientTemperature:
                      value: 68.2
                      unit: F
                      display: 68.2F
                    relativeHumidity:
                      value: 55
                      unit: "%"
                      display: 55%
                    windSpeed:
                      value: 3.7821
                      unit: mph
                      display: 3.7821mph
                    windDirection: 210
                    windGust:
                      value: 5.6123
                      unit: mph
                      display: 5.6123mph
                    windGustDirection: 215
                    wetBulb:
                      value: 59.411
                      unit: F
                      display: 59.411F
                    wetBulbGlobalTemp:
                      value: 65.103
                      unit: F
                      display: 65.103F
                    ambientHigh:
                      value: 71.8
                      unit: F
                      display: 71.8F
                    ambientLow:
                      value: 64.1
                      unit: F
                      display: 64.1F
                    heatIndex:
                      value: 67.85
                      unit: F
                      display: 67.85F
                    rain1Hr:
                      value: 0
                      unit: in
                      display: 0in
                    rainToday:
                      value: 0.0287
                      unit: in
                      display: 0.0287in
                    aqiVal:
                      value: 38
                      unit: PM2.5
                      display: 38PM2.5
                    feelsLike:
                      value: 68.2
                      unit: F
                      display: 68.2F
                    source:
                      type: PerryWeatherStation
                      stationId: 8c4f9e7a-2d1b-4f6c-9e3a-7b5d6f8c2e1a
                      stationName: Example Field Station
                metarStation:
                  summary: Location falling back to the closest METAR station
                  value:
                    lastUpdated: 2026-04-22T13:53:00Z
                    ambientTemperature:
                      value: 69.8
                      unit: F
                      display: 69.8F
                    relativeHumidity:
                      value: 52.14
                      unit: "%"
                      display: 52.14%
                    windSpeed:
                      value: 9.2062
                      unit: mph
                      display: 9.2062mph
                    windDirection: 190
                    windGust:
                      value: 17.2617
                      unit: mph
                      display: 17.2617mph
                    heatIndex:
                      value: 69.3512
                      unit: F
                      display: 69.3512F
                    rain1Hr:
                      value: 0
                      unit: in
                      display: 0in
                    rainToday:
                      value: 0.0394
                      unit: in
                      display: 0.0394in
                    source:
                      type: MetarStation
                      stationId: KDAL
                      stationName: Dallas Love Field
            text/json:
              schema:
                $ref: "#/components/schemas/ObservationModel"
              examples:
                perryWeatherStation:
                  summary: Location served by a nearby Perry Weather station
                  value:
                    lastUpdated: 2026-04-22T14:05:12.488Z
                    ambientTemperature:
                      value: 68.2
                      unit: F
                      display: 68.2F
                    relativeHumidity:
                      value: 55
                      unit: "%"
                      display: 55%
                    windSpeed:
                      value: 3.7821
                      unit: mph
                      display: 3.7821mph
                    windDirection: 210
                    windGust:
                      value: 5.6123
                      unit: mph
                      display: 5.6123mph
                    windGustDirection: 215
                    wetBulb:
                      value: 59.411
                      unit: F
                      display: 59.411F
                    wetBulbGlobalTemp:
                      value: 65.103
                      unit: F
                      display: 65.103F
                    ambientHigh:
                      value: 71.8
                      unit: F
                      display: 71.8F
                    ambientLow:
                      value: 64.1
                      unit: F
                      display: 64.1F
                    heatIndex:
                      value: 67.85
                      unit: F
                      display: 67.85F
                    rain1Hr:
                      value: 0
                      unit: in
                      display: 0in
                    rainToday:
                      value: 0.0287
                      unit: in
                      display: 0.0287in
                    aqiVal:
                      value: 38
                      unit: PM2.5
                      display: 38PM2.5
                    feelsLike:
                      value: 68.2
                      unit: F
                      display: 68.2F
                    source:
                      type: PerryWeatherStation
                      stationId: 8c4f9e7a-2d1b-4f6c-9e3a-7b5d6f8c2e1a
                      stationName: Example Field Station
                metarStation:
                  summary: Location falling back to the closest METAR station
                  value:
                    lastUpdated: 2026-04-22T13:53:00Z
                    ambientTemperature:
                      value: 69.8
                      unit: F
                      display: 69.8F
                    relativeHumidity:
                      value: 52.14
                      unit: "%"
                      display: 52.14%
                    windSpeed:
                      value: 9.2062
                      unit: mph
                      display: 9.2062mph
                    windDirection: 190
                    windGust:
                      value: 17.2617
                      unit: mph
                      display: 17.2617mph
                    heatIndex:
                      value: 69.3512
                      unit: F
                      display: 69.3512F
                    rain1Hr:
                      value: 0
                      unit: in
                      display: 0in
                    rainToday:
                      value: 0.0394
                      unit: in
                      display: 0.0394in
                    source:
                      type: MetarStation
                      stationId: KDAL
                      stationName: Dallas Love Field
        "400":
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
        "404":
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
security:
  - ApiKeyAuth: []
components:
  schemas:
    ObservationModel:
      type: object
      properties:
        lastUpdated:
          type: string
          format: date-time
          nullable: true
        ambientTemperature:
          $ref: "#/components/schemas/ValueUnit"
        relativeHumidity:
          $ref: "#/components/schemas/ValueUnit"
        windSpeed:
          $ref: "#/components/schemas/ValueUnit"
        windDirection:
          type: number
          format: double
          nullable: true
        windGust:
          $ref: "#/components/schemas/ValueUnit"
        windGustDirection:
          type: number
          format: double
          nullable: true
        wetBulb:
          $ref: "#/components/schemas/ValueUnit"
        solarIrradiance:
          $ref: "#/components/schemas/ValueUnit"
        wetBulbGlobalTemp:
          $ref: "#/components/schemas/ValueUnit"
        windChill:
          $ref: "#/components/schemas/ValueUnit"
        ambientHigh:
          $ref: "#/components/schemas/ValueUnit"
        ambientLow:
          $ref: "#/components/schemas/ValueUnit"
        heatIndex:
          $ref: "#/components/schemas/ValueUnit"
        rain1Hr:
          $ref: "#/components/schemas/ValueUnit"
        rainToday:
          $ref: "#/components/schemas/ValueUnit"
        aqiVal:
          $ref: "#/components/schemas/ValueUnit"
        source:
          $ref: "#/components/schemas/ObservationSourceModel"
        feelsLike:
          $ref: "#/components/schemas/ValueUnit"
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ValueUnit:
      type: object
      properties:
        value:
          type: number
          format: double
        unit:
          type: string
          nullable: true
        display:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ObservationSourceModel:
      type: object
      properties:
        type:
          type: string
          nullable: true
        stationId:
          type: string
          nullable: true
        stationName:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key for authenticating requests. Create and manage keys in the
        Perry Weather dashboard under Integrations > Perry Weather APIs.
      name: x-api-key
      in: header
```
